Issue 61214

Summary: OOo's hyphenator doesn't support Unicode
Product: lingucomponent Reporter: nemeth.lacko
Component: otherAssignee: stefan.baltzer
Status: CLOSED FIXED QA Contact: issues@lingucomponent <issues>
Severity: Trivial    
Priority: P3 CC: issues, ooolist2007, stefan.baltzer
Version: OOo 2.0.1   
Target Milestone: OOo 2.0.2   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Unicode German hyphenation patterns none

Description nemeth.lacko 2006-01-27 00:34:38 UTC
At least for African languages with special latin letters (and with no 8-bit
character encodings) and for professional hyphenation need Unicode support.
Comment 1 nemeth.lacko 2006-01-27 18:10:51 UTC
Fixed in http://www.openoffice.org/issues/show_bug.cgi?id=58558.
Comment 2 nemeth.lacko 2006-01-27 18:12:21 UTC
nemeth->sba: Stefan, in advance, thanks for the QA. Laci
Comment 3 stefan.baltzer 2006-02-03 11:06:23 UTC
SBA: In order to verify this, I'd like to know one or more examples/scenarios. 
Thank you.
Comment 4 nemeth.lacko 2006-02-03 12:07:19 UTC
Nemeth->SBA: One of the two tests in the Issue 58558 is a Unicode test:

Test.dic is an UTF-8, test2.dic is a 8-bit example. If you load the 
hyphexample.odt, the en_US assigned UTF-8 test.dic will work. If you change to
document language to British English, en_GB assigned 8-bit test will work. In
this case, if the 8-bit example works, you won't see any change, because 8-bit
example does the same hyphenation, as UTF-8's one. Maybe compare with the
unhpyhenated texts. I'm sorry, I forgot mention this in the README.

Seemingly, that test not perfect for Unicode, but middle dot in the Catalan
example is a multibyte UTF-8 character in the source.

But I am attaching the German hyphenation patterns in Unicode, generated with a
simple ISO8859-1 -> UTF-8 conversion, and changed header to UTF-8. Check with
some German words with not ASCII letters (öüä). (The words may be fictive, too.)

Best regards, Laci
Comment 5 nemeth.lacko 2006-02-03 12:08:14 UTC
Created attachment 33811 [details]
Unicode German hyphenation patterns
Comment 6 stefan.baltzer 2006-02-03 15:34:39 UTC
SBA: Thanks a lot. Verified in CWS hyphenator2,
Comment 7 stefan.baltzer 2006-04-07 16:13:52 UTC
SBA: OK in OOo 2.02. Closed.